rh._.exports({"0":[[" ","Circle Measure Tool Parameters"]],"1":[[" ","Circle Measure Tool Parameters"]],"2":[[" ","The Measure Tool in AutoVISION can also be used to measure the radius of a circle and to find its center point."," ","Insert a Measure Tool into your job, and then use the dropdown at the top of the parameter area to select the Circle Measure option."],[" ","The circle shape that appears in the image area allows you to specify both an inner and an outer radius. This shape adjusts the start and end radius values without showing individual vectors. The size of the circle can be increased or decreased. The single anchor point in the center is for the inner radius. Grab the anchor point and drag down to open up the inner radius size as shown below:"," ","The inner circle is labeled as ","Circle1:Start",", indicating that the edge scan will start here, and the outer circle is labeled ","Circle1:End",", indicating that the edge scan will stop there."," ","The green background arrows are also intended to show the direction in which the edge scan will proceed, which is inside to outside in this example."," ","If you want to scan from the outside to in, simply increase the size of the Circle1:Start circle to make it larger than the Circle1:End circle, as shown here:"," ","Note that the green arrows now point from the outside in."],[" ","Scan Direction:"," ","Sets the direction of the vector edge search, either from the inside out or from the outside in."," ","Number of Vectors:"," ","This is the number of vectors that will be used to search for gradient points around the edge of the circle."," ","These vectors will be equally spaced and arranged in a radial pattern."," ","Polarity:"," ","Allows you to determine whether the vectors will search for light to dark edge transitions, dark to light, or both."," ","Sharpness:"," ","Configures the number of pixels over which the gradient will be calculated."," ","Select"," ","a lower value when you have very sharp edges, and select a larger value when your edges are more blurry."," ","Edge Point Selection:"," ","When scanning the length of a given vector, you may find more than one edge point."," ","This option tells the tool which edge point to select: the first, the best (largest gradient), or the last."," ","[","First (Default)]",":"," The first transition or line meeting the Gradient Threshold requirement along the direction of the vector is output as the result."," ","[","Best]:"," The result corresponds to the transition with the highest gradient. This option is not available when Result Type is set to Lines."," ","[","Last]:"," The result corresponds to the last qualifying transition or line."," ","[","Nth]:"," The result corresponds to the Nth transition or line along the direction of the vector."," ","[","All]:"," All qualified transitions or lines are shown on the display and included in the Point List output."],[" ","Edge Strength:"," Similar to the Width and Height measurements, a gradient plot editor is provided for setting the minimum edge strength of the vectors."," ","With a Width Measurement, the gradient plot is down the middle of the region of interest, moving from left to right."," ","With a Height measurement, the gradient plot is also down the middle of the region of interest, but moving from top to bottom."," ","With Circle measurement, it is selectable. Note that there is a control on the right that allows you select where the gradient scan is taken within the Circle measurement. If lighting around a given circle is uneven, this allows you to see the gradient values on the left, right, top, and bottom edges of the circle."," (Range: 0 to 255)"],[" ","These are the options for the circle fit."," ","Minimum Required Edge Points:"," Allow you to select the minimum number of vector edge points required for a valid circle fit. (Range: 3 to 2,147,483,647)"," ","Circle Fit Precision:"," Allow you to choose how precise that fit must be.","\n        [+/- 0.10 Extra Close Fit]: Only use edge points that are within +/- 0.10 pixels of the circumference and discard the rest.","\n        [+/- 0.25 Very Close Fit]: Only use edge points that are within +/- 0.25 pixels of the circumference and discard the rest.","\n        [+/- 0.75 Close Fit]: Only use edge points that are within +/- 0.75 pixels of the circumference and discard the rest.","\n        [+/- 1.25 Medium/Close Fit]: Only use edge points that are within +/- 1.25 pixels of the circumference and discard the rest.","\n        [+/- 1.75 Medium Fit]: Only use edge points that are within +/- 1.75 pixels of the circumference and discard the rest.","\n        [+/- 2.25 Meidum/Rough Fit]: Only use edge points that are within +/- 2.25 pixels of the circumference and discard the rest.","\n        [+/- 2.75 Rough Fit]: Only use edge points that are within +/- 2.75 pixels of the circumference and discard the rest.","\n        [+/- 7.75 Very Rough Fit]: Only use edge points that are within +/- 7.75 pixels of the circumference and discard the rest."],[" ","Lower/Upper Tolerance:"," Set the tolerance on the radius of the circle. (Range: 0 to 100,000)"],[" ","See the ","Measurement Calibration"," section for details."]],"6":[[" ","Circle Shape"],[" ","Circle Edge Selection"],[" ","Edge Strength"],[" ","Circle Fit"],[" ","Radius Tolerance"],[" ","Calibrate"]],"id":"179"})